baseURL = "https://beckmeyer.us/"
languageCode = 'en-us'
title = "Joel Beckmeyer's Homepage"
theme = "bbb"

[author]
	name = "Joel Beckmeyer"
	email = "joel@beckmeyer.us"

[menu]
	[[menu.main]]
		name = "Home"
		url = "/"
		weight = 1
	[[menu.main]]
		name = "Posts"
		url = "/posts/"
		weight = 2
	[[menu.main]]
		name = "Tags"
		url = "/tags/"
		weight = 3
	[[menu.main]]
		name = "Git"
		identifier = "Gitea"
		url = "https://git.beckmeyer.us/TnSb"
		weight = 4
	[[menu.main]]
		name = "GitHub"
		identifier = "GitHub"
		url = "https://github.com/TinfoilSubmarine"
		weight = 5

[markup]
  [markup.highlight]
    codeFences = true
    noClasses = false

  [markup.tableOfContents]
    startLevel = 1
    endLevel = 6

[params]
  # footer text at the bottom of every page
	footerText = "Have any questions? Let me know on [Matrix](https://matrix.to/#/@joel:thebeckmeyers.xyz), or start a discussion on [Fediverse](https://social.beckmeyer.us/TinfoilSubmarine)!"
	# enable the table of content on pages with more than this many words
	# (negative to disable)
  # (can be overridden per-page by setting the 'toc' front matter parameter)
  #tocWordThreshold = 1000 # default <unset>
